<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\PriceKey;
use Illuminate\Support\Facades\Auth;

class GreaterThanController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit()
    {
        $greaterThan = PriceKey::find(4);
        return view('Backend.GreaterThanPrice.edit')->with('greaterThan',$greaterThan);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request)
    {
        $rules =['key' => 'required'];

        $validation = $this->Validate($request,$rules);
        $greaterThan = PriceKey::find(4);
        if($greaterThan)
        {
            $greaterThan->price_key = $request->key;
            $greaterThan->save();
        }
        return redirect('greater-than-price/edit')->with('alert-success', 'Greater Than Price Updated Successfully');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
