<?php

namespace App\Http\Controllers;
use App\User;
use App\Product;
use App\Category;
use App\PriceKey;
use App\ProductLog;

use Illuminate\Http\Request;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        $data['users'] = User::all();
        $data['products'] = Product::all();
        $data['categories'] = Category::all();
        $data['priceKey'] = PriceKey::find(1);
        //return redirect('admin-home');
        return view('Backend.index',$data);
    }
}
