<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Storage;use App\Homepage_widget;
use App\Product;use App\Page;use App\Slider;

class FrontHomeController extends Controller
{
    public function index()
    {
        $pagetitle = 'Home';
        $slider_images      = Slider::where('status','=',1)->get();
        $section_products   = Homepage_widget::where('widget_type','=',2)->get();
        // dd($section_products[4]->products);
        $sub_category_sec   = Homepage_widget::where('widget_type','=',3)->get();
        $exhibition_sec     = Homepage_widget::where('widget_type','=',4)->first();
        return view('Frontend.index')->with('pagetitle',$pagetitle)->with('slider_images',$slider_images)
                ->with('section_products',$section_products)->with('sub_category_sec',$sub_category_sec)
                ->with('exhibition_sec',$exhibition_sec);
    }

    public function get_about()
    {
        $about = Page::where('slug','=','about-us')->first();
        return view('Frontend.about')->with('about',$about);
    }

    public function get_contact()
    {
        $contact = Page::where('slug','=','contact')->first();
        return view('Frontend.contact')->with('contact',$contact);
    }

    public function get_agreement()
    {
        $agreement = Page::where('slug','=','user-agreement')->first();
        return view('Frontend.agreement')->with('agreement',$agreement);
    }

    public function get_privacy()
    {
        $privacy = Page::where('slug','=','privacy')->first();
        return view('Frontend.privacy')->with('privacy',$privacy);
    }
}
