<?php $__env->startSection('pagetitle', 'Users'); ?>
<?php $__env->startSection('subtitle', 'List'); ?>
<?php $__env->startSection('page_css'); ?>
<link href="<?php echo e(URL::asset('public/assets/bootstrap-datepicker/css/datepicker.css')); ?>" rel="stylesheet">
<link href="<?php echo e(URL::asset('public/assets/bootstrap-datetimepicker/css/datetimepicker.css')); ?>" rel="stylesheet">
<link href="<?php echo e(URL::asset('public/assets/bootstrap-timepicker/compiled/timepicker.css')); ?>" rel="stylesheet">
<link href="<?php echo e(URL::asset('public/assets/bootstrap-colorpicker/css/colorpicker.css')); ?>" rel="stylesheet">
<link href="<?php echo e(URL::asset('public/assets/jquery-multi-select/css/multi-select.css')); ?>" rel="stylesheet">
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="row">
    <div class="col-lg-12">
        <!--breadcrumbs start -->
        <ul class="breadcrumb">
            <li><a href="<?php echo e(url('/home')); ?>"><i class="fa fa-home"></i> Home</a></li>
            <li><a href="<?php echo e(url('user')); ?>"><?php echo $__env->yieldContent('pagetitle'); ?></a></li>
            <li class="active"><strong><?php echo $__env->yieldContent('subtitle'); ?></strong></li>
        </ul>
        <!--breadcrumbs end -->
    </div>
</div>
              <div class="row">
                <div class="col-sm-12">
              <section class="panel">
              <header class="panel-heading">
                  <?php echo $__env->yieldContent('pagetitle'); ?> <small> <?php echo $__env->yieldContent('subtitle'); ?></small>
                <span class="tools pull-right">
                   <a href="javascript:;" class="fa fa-chevron-down"></a>
                   <a href="javascript:;" class="fa fa-times"></a>
                </span>
              </header>
              <div class="panel-body">
                <div class="ibox-tools">
                    <a href="<?php echo e(url('user/create')); ?>" class="btn btn-primary btn-sm" data-toggle="tooltip" data-placement="top" title="" data-original-title="Reply"><i class="fa fa-plus"></i> Add New</a>
                </div>
              <div class="adv-table">
              <table  class="display table table-bordered table-striped" id="dynamic-table">
              <thead>
              <tr>
                  <th>Sr.</th>
                  <th>First Name</th>
                  <th>Last Name</th>
                  <th>Email</th>
                  <th>Contact No</th>
                  <th>Role</th>
                  <th>Picture</th>
                  <th>Action</th>
              </tr>
              </thead>
              <tbody>
              <?php $counter = 0; ?>
              <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <?php $counter++ ?>
              <tr class="gradeX">
                  <td><?php echo e($counter); ?></td>
                  <td><?php echo e($user->first_name); ?></td>
                  <td><?php echo e($user->last_name); ?></td>
                  <td><?php echo e($user->email); ?></td>
                  <td><?php echo e($user->mobile); ?></td>
                  <td><?php echo e($user->type); ?></td>
                  <?php if(!$user->picture): ?>
                  <td>
                        <img class="task-thumb" src="<?php echo e(asset('assets/img/avatar2.png')); ?>">
                  </td>
                  <?php else: ?>
                  <td>
                        <img alt="task-thumb" src="<?php echo e(asset('public/storage/User-Images/'.$user->picture)); ?>" width="50px" height="50px" style="border-radius: 50%;">
                  </td>
                  <?php endif; ?>
                  <td>
                    <a href="<?php echo e(url('user/show/'.$user->id)); ?>" class="btn btn-success btn-sm">View</a>
                    <a href="<?php echo e(url('user/edit/'.$user->id)); ?>" class="btn btn-primary btn-sm">Edit</a>
                    <a data-toggle="modal" data-target="#delete_<?php echo e($user->id); ?>" class="btn btn-danger btn-sm">Delete</a>
                  </td>
              </tr>
                <!-- The Delete Modal start -->
                <div class="modal" id="delete_<?php echo e($user->id); ?>">
                  <div class="modal-dialog">
                    <div class="modal-content">
                      <div class="modal-header">
                        <h4 class="modal-title">Delete User</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                      </div>
                      
                      <!-- Modal body -->
                      <div class="modal-body">
                        <h4 style="text-align: center;">Are you sure, you want to delete this user?</h4>
                      </div>
                      
                      <!-- Modal footer -->
                      <div class="modal-footer">
                        <a href="<?php echo e(url('/user/destroy/'.$user->id)); ?>" class="btn btn-danger">Yes</a>
                        <button type="button" class="btn btn-danger" data-dismiss="modal">No</button>
                      </div>
                    </div>
                  </div>
                </div>
                <!-- The Delete Modal End-->
              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
              </tbody>
              <tfoot>
              <tr>
                  <th>Sr.</th>
                  <th>First Name</th>
                  <th>Last Name</th>
                  <th>Email</th>
                  <th>Contact No</th>
                  <th>Role</th>
                  <th>Picture</th>
                  <th>Action</th>
              </tr>
              </tfoot>
              </table>
              </div>
              </div>

      </section>
      <?php $__env->stopSection(); ?>
      <?php $__env->startSection('page_js'); ?>
      <script src="<?php echo e(URL::asset('public/assets/bootstrap-datepicker/js/bootstrap-datepicker.js')); ?>"></script>
      <script src="<?php echo e(URL::asset('public/assets/bootstrap-datetimepicker/js/bootstrap-datetimepicker.js')); ?>"></script>
      <script src="<?php echo e(URL::asset('public/assets/bootstrap-timepicker/js/bootstrap-timepicker.js')); ?>"></script>
      <script src="<?php echo e(URL::asset('public/assets/bootstrap-colorpicker/js/bootstrap-colorpicker.js')); ?>"></script>
      <script src="<?php echo e(URL::asset('public/assets/jquery-multi-select/js/jquery.multi-select.js')); ?>"></script>
      <script src="<?php echo e(URL::asset('public/assets/js/advanced-form-components.js')); ?>"></script>
      <?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>